Bug 44986 - LDAP user authentication fails
Summary: LDAP user authentication fails
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: bugzilla   
(Show other bugs)
Version: 7.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: bero
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-19 13:54 UTC by Toralf
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-17 15:55:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Toralf 2001-06-19 13:54:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.5-0.2.9 i686)

Description of problem:


How reproducible:
Always

Steps to Reproduce:
1. Set useLDAP to "on" and insert correct LDAPserver/LDAPbaseDN
in editparams.cgi
2. Login via query.cgi?GoAheadAndLogIn=1


Actual Results:  Can't locate object method "new" via package
"Mozilla::LDAP::Conn" at CGI.pl line 719.

Expected Results:  User logged in and allowed to create/update bug reports.

Additional info:

Clearly related to this [from CGI.pl]:

# commented out the following snippet of code. this tosses errors into the
# CGI if you are perl 5.6, and doesn't if you have perl 5.003.
# We want to check for the existence of the LDAP modules here.
# eval "use Mozilla::LDAP::Conn";
# my $have_ldap = $@ ? 0 : 1;

Also note that bugzilla was updated via link on

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=19497

before testing.

Comment 1 Tim Powers 2001-06-27 20:56:33 UTC
You may want to try the bugzilla here now and let me know if it works or not:

http://people.redhat.com/timp/RPMS/bugzilla-2.12-3.noarch.rpm

Tim

Comment 2 Toralf 2001-08-08 07:59:42 UTC
I'm sorry I haven't been able to test this earlier, I've just been very busy,
and also needed to tweak the LDAP database a bit before I could use it without
having to regenerate all user profiles in Bugzilla.

Anyhow, nothing seems to have changed (except, of course, that other problems I
reported have been resolved). I still get the same error message.

Comment 3 Bernhard Rosenkraenzer 2002-01-18 17:12:21 UTC
This should be fixed in the 2.14.1 erratum released recently.


Note You need to log in before you can comment on or make changes to this bug.